// soap12testhdrrpcObj.h : Declaration of the Csoap12testhdrrpcObj

#pragma once
#include "resource.h"       // main symbols

#include "soap12testhdrrpc.h"


// Csoap12testhdrrpcObj

class ATL_NO_VTABLE Csoap12testhdrrpcObj : 
	public CComObjectRootEx<CComSingleThreadModel>,
	public CComCoClass<Csoap12testhdrrpcObj, &CLSID_soap12testhdrrpc>,
	public IDispatchImpl<Isoap12testhdrrpc, &IID_Isoap12testhdrrpc, &LIBID_soap12testhdrrpcLib, /*wMajor =*/ 1, /*wMinor =*/ 0>
{
public:
	Csoap12testhdrrpcObj()
	{
	}

DECLARE_REGISTRY_RESOURCEID(IDR_SOAP12TESTHDRRPCOBJ)


BEGIN_COM_MAP(Csoap12testhdrrpcObj)
	COM_INTERFACE_ENTRY(Isoap12testhdrrpc)
	COM_INTERFACE_ENTRY(IDispatch)
END_COM_MAP()


	DECLARE_PROTECT_FINAL_CONSTRUCT()

	HRESULT FinalConstruct()
	{
		return S_OK;
	}
	
	void FinalRelease() 
	{
	}

public:
	STDMETHOD(OnProcessHeader)(/*[in]*/ VARIANT SOAPMsgInterface, /*[out, retval]*/ VARIANT_BOOL *pResult);
	STDMETHOD(OnTestMUHeaderBlock)(/*[in]*/ BSTR bstrNamespace, /*[in]*/ BSTR bstrLocalName, /*[out, retval]*/ VARIANT_BOOL *pResult);

};

OBJECT_ENTRY_AUTO(__uuidof(soap12testhdrrpc), Csoap12testhdrrpcObj)
